using Microsoft.AspNetCore.Mvc;

// Initialize Razor Pages
var builder = WebApplication.CreateBuilder(args);
builder.Services.AddRazorPages().AddMvcOptions(options => {
    options.CacheProfiles.Add("ThirtySeconds", new CacheProfile {
        Duration = 30,                          // Seconds
        Location = ResponseCacheLocation.Any,   // Cache on client and any proxy
        VaryByHeader = "Accept-Language",       // Vary by language
    });
});

// Register response caching
builder.Services.AddResponseCaching();

var app = builder.Build();
app.UseStaticFiles();
app.UseResponseCaching();
app.MapRazorPages();
await app.RunAsync();
